@ECHO OFF
REM
REM CONV.BAT - A batch file utility from Greg Jones/Ledzeplin
REM From Arena BBS/ Home of RIPscrip Graphics 714-840-3520 32 lines
REM
:CHECK
REM Checking for all the necessary files.
REM *************************************
IF NOT EXIST START.RIP GOTO UHOH1
IF NOT EXIST ICON.RIP GOTO UHOH2
IF NOT EXIST END.RIP GOTO UHOH3
IF NOT EXIST PCX2ICON.EXE GOTO UHOH4
IF NOT EXIST PCX2PAL.EXE GOTO UHOH5
IF %1! == ! GOTO NOFILE
IF EXIST HOLD.FIL DEL HOLD.FIL
:START
CLS
REM Check to make sure PCX file exists.
REM ***********************************
IF NOT EXIST %1.PCX GOTO NOFILE
REM Create ICN file
REM ***************
PCX2ICON %1.PCX
IF ERRORLEVEL 61 GOTO PALETTE
GOTO NOSUP
:PALETTE
REM Extract palette information
REM ***************************
PCX2PAL %1.PCX >PAL-FILE
REM Create the RIP file
REM *******************
DIR /B %1.ICN >ICONNAME
COPY START.RIP + PAL-FILE + ICON.RIP + ICONNAME + END.RIP %1.RIP >NUL
DEL ICONNAME
DEL PAL-FILE
ECHO 
ECHO   %1.RIP CREATED 
ECHO 
ECHO View %1.RIP to display icon with proper color palette.
ECHO 
REM Create a list of files that have been processed.
REM ************************************************
DIR /B %1.PCX >TEMP.FIL
COPY HOLD.FIL + TEMP.FIL HOLD.FIL >NUL
DEL TEMP.FIL 
REM ******** OPTION - OPTION - OPTION *********
REM If the user desires, he may add one of the following lines to "view"
REM the icon he/she just created immediately (provided you have one of
REM the following utilities.
REM 
REM SHOWRIP %1.RIP
REM DEADVIEW %1.RIP
REM
REM You could use an alternate RIP viewer if you have one.
REM
REM ******* End of OPTION ********
REM Check to see if everythings been processed.
REM *******************************************
IF %2! == ! GOTO CLOSE
REM Shift to next file
REM ******************
SHIFT
ECHO 
REM Check to see how many files are left to be processed.
REM *****************************************************
IF %2! == ! GOTO ONELEFT
ECHO Filenames 
GOTO WUTSLEFT
:ONELEFT
ECHO Filename
REM Print a list of whats left to process (provided there is something left).
REM *************************************************************************
:WUTSLEFT
ECHO 
ECHO %1.PCX 
IF %2! == ! GOTO REMAIN
ECHO %2.PCX 
IF %3! == ! GOTO REMAIN
ECHO %3.PCX 
IF %4! == ! GOTO REMAIN
ECHO %4.PCX 
IF %5! == ! GOTO REMAIN
ECHO %5.PCX 
IF %6! == ! GOTO REMAIN
ECHO %6.PCX 
IF %7! == ! GOTO REMAIN
ECHO %7.PCX 
IF %8! == ! GOTO REMAIN
ECHO %8.PCX
:REMAIN
ECHO 
IF NOT %2! == ! GOTO NO-S
ECHO remains to be processed.
GOTO CONT
:NO-S
ECHO remain to be processed.
:CONT
ECHO 
ECHO 
ECHO 
ECHO Press any key to continue, or CTRL-C to abort.
PAUSE >NUL
GOTO START
:NOSUP
REM If the file is 256 colors (or otherwise not supported), print this.
REM *******************************************************************
CLS
ECHO 
ECHO The file %1.PCX has some features that are not presently supported.  
ECHO The conversion utility is limited to 16 color images at this time.
ECHO It is likely you are attempting to use a 256 color PCX image.
ECHO 
PAUSE
GOTO CLOSE
:NOFILE
REM If the file does not exist, or was improperly specified, print this.
REM ********************************************************************
CLS
ECHO 
ECHO CONV.BAT could not find %1.PCX, check the filename, and try again.
ECHO 
ECHO To convert all or part of PICTURE1.PCX to an ICN file type:
ECHO 
ECHO CONV PICTURE1 
ECHO 
ECHO NOTE: Do not include the PCX extension, wildcards (PICTURE*.*) will
ECHO       not work, the filenames must be given.
ECHO 
ECHO More than one file can be indicated in the following manner:
ECHO 
ECHO CONV PICTURE1 PICTURE2 PICTURE3 PICTURE4   (UP TO 9)
ECHO 
PAUSE
GOTO CLOSE
REM UHOH1 - UHOH4 specify required files that are missing, if they are missing.
REM ***************************************************************************
:UHOH1
ECHO The required file START.RIP is not present.
ECHO Check your directory and/or archive.
GOTO END
:UHOH2
ECHO The required file ICON.RIP is not present.
ECHO Check your directory and/or archive.
GOTO END
:UHOH3
ECHO The required file END.RIP is not present.
ECHO Check your directory and/or archive.
GOTO END
:UHOH4
ECHO The required file PCX2ICON.EXE is not present.
ECHO Check your RIPAINT directory.
GOTO END
:UHOH5
ECHO The required file PCX2PAL.EXE is not present.
ECHO Check your RIPAINT directory.
GOTO END
:CLOSE
REM Print list of processed files, if any.  If none, just END
REM *********************************************************
IF NOT EXIST HOLD.FIL GOTO END 
CLS
ECHO The file(s):
ECHO 
TYPE HOLD.FIL
DEL HOLD.FIL
ECHO 
ECHO has\have been processed.  There is now an ICN and RIP file with the same
ECHO filename(s) in default directory.  Each RIP file has the correct palette
ECHO for its designated ICN.
:END
ECHO 
